All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::IndexFlatL2BaseShift Struct Reference
Inheritance diagram for faiss::IndexFlatL2BaseShift:

## Public Member Functions

| IndexFlatL2BaseShift (idx_t d, size_t nshift, const float *shift)
void | search (idx_t n, const float *x, idx_t k, float *distances, idx_t *labels) const override
Public Member Functions inherited from faiss::IndexFlatL2
| IndexFlatL2 (idx_t d)
Public Member Functions inherited from faiss::IndexFlat
| IndexFlat (idx_t d, MetricType metric=METRIC_INNER_PRODUCT)
void | add (idx_t n, const float *x) override
void | reset () override
| removes all elements from the database.
void | range_search (idx_t n, const float *x, float radius, RangeSearchResult *result) const override
void | reconstruct (idx_t key, float *recons) const override
void | compute_distance_subset (idx_t n, const float *x, idx_t k, float *distances, const idx_t *labels) const
long | remove_ids (const IDSelector &sel) override
Public Member Functions inherited from faiss::Index
| Index (idx_t d=0, MetricType metric=METRIC_INNER_PRODUCT)
virtual void | train (idx_t n, const float *x)
virtual void | add_with_ids (idx_t n, const float *x, const long *xids)
void | assign (idx_t n, const float *x, idx_t *labels, idx_t k=1)
virtual void | reconstruct_n (idx_t i0, idx_t ni, float *recons) const
void | compute_residual (const float *x, float *residual, idx_t key) const
void | display () const

## Public Attributes

std::vector< float > | shift
Public Attributes inherited from faiss::IndexFlat
std::vector< float > | xb
| database vectors, size ntotal * d
Public Attributes inherited from faiss::Index
int | d
| vector dimension
idx_t | ntotal
| total nb of indexed vectors
bool | verbose
| verbosity level
bool | is_trained
| set if the Index does not require training, or if training is done already
MetricType | metric_type
| type of metric this index uses for search

## Additional Inherited Members

Public Types inherited from faiss::Index
typedef long | idx_t
| all indices are this type

## Detailed Description

Definition at line 86 of file IndexFlat.h.

## Member Function Documentation

void faiss::IndexFlatL2BaseShift::search | ( | idx_t | n,
|  | const float * | x,
|  | idx_t | k,
|  | float * | distances,
|  | idx_t * | labels
| ) |  | const

override virtual

query n vectors of dimension d to the index.

return at most k vectors. If there are not enough results for a query, the result array is padded with -1s.

Parameters

  x | input vectors to search, size n * d
  labels | output labels of the NNs, size n*k
  distances | output pairwise distances, size n*k

Reimplemented from faiss::IndexFlat.

Definition at line 133 of file IndexFlat.cpp.

The documentation for this struct was generated from the following files:

- /data/users/matthijs/github_faiss/faiss/IndexFlat.h
- /data/users/matthijs/github_faiss/faiss/IndexFlat.cpp